From: "Jeroen Roovers" <jer@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-misc/lineakd/
Date: Sun, 2 Feb 2020 13:56:22 +0000 (UTC) [thread overview]
Message-ID: <1580651779.7114145023849eefe01d1d10961db27db900e020.jer@gentoo> (raw)
commit: 7114145023849eefe01d1d10961db27db900e020
Author: Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 2 13:55:07 2020 +0000
Commit: Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Sun Feb 2 13:56:19 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=71141450
x11-misc/lineakd: Uncompress man pages after default install
Package-Manager: Portage-2.3.87, Repoman-2.3.20
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>
x11-misc/lineakd/lineakd-0.9.0-r3.ebuild | 58 ++++++++++++++++++++++++++++++++
1 file changed, 58 insertions(+)
diff --git a/x11-misc/lineakd/lineakd-0.9.0-r3.ebuild b/x11-misc/lineakd/lineakd-0.9.0-r3.ebuild
new file mode 100644
index 00000000000..4848da2c45c
--- /dev/null
+++ b/x11-misc/lineakd/lineakd-0.9.0-r3.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit multilib
+
+MY_P=${P/.0/}
+
+DESCRIPTION="Linux support for Easy Access and Internet Keyboards"
+HOMEPAGE="http://lineak.sourceforge.net"
+SRC_URI="mirror://sourceforge/lineak/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+IUSE="debug"
+
+RDEPEND="
+ x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/libX11
+ x11-libs/libXext
+"
+DEPEND="
+ ${RDEPEND}
+ x11-base/xorg-proto
+ x11-libs/libxkbfile
+ x11-libs/libXt
+ x11-libs/libXtst
+"
+
+S=${WORKDIR}/${MY_P}
+PATCHES=(
+ "${FILESDIR}"/${P}-gcc43.patch
+ "${FILESDIR}"/${P}-DELL-XPS-M1330-XOrg-1_5.patch
+)
+
+src_configure() {
+ econf $(use_enable debug) --with-x
+}
+
+src_install() {
+ sed -i -e 's:$(DESTDIR)${DESTDIR}:$(DESTDIR):' lineakd/Makefile
+
+ dodir /usr/share/man/man8
+
+ emake -j1 DESTDIR="${D}" install
+
+ dodoc AUTHORS README TODO
+
+ keepdir /usr/$(get_libdir)/lineakd/plugins
+
+ insinto /etc/lineak
+ doins lineakd.conf.example lineakd.conf.kde.example
+
+ find "${ED}"/usr/share/man -name '*.bz2' -exec bunzip2 {} \; || die
+ find "${ED}" -name '*.la' -delete || die
+}
next reply other threads:[~2020-02-02 13:56 UTC|newest]
Thread overview: 24+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-02-02 13:56 Jeroen Roovers [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-06-17 22:36 [gentoo-commits] repo/gentoo:master commit in: x11-misc/lineakd/ Conrad Kostecki
2024-06-17 22:36 Conrad Kostecki
2023-01-13 16:52 Sam James
2022-12-30 6:53 Sam James
2022-12-30 6:33 Sam James
2022-12-30 6:33 Sam James
2022-02-08 18:35 Jonas Stein
2022-02-08 0:10 Sam James
2022-02-08 0:09 Sam James
2021-03-17 9:09 Sam James
2021-03-17 9:00 Sam James
2021-03-17 2:19 Sam James
2021-03-17 2:16 Sam James
2021-03-17 1:04 Sam James
2020-11-14 20:22 David Seifert
2020-02-15 10:03 David Seifert
2019-02-03 14:08 Andreas Sturmlechner
2018-06-09 19:22 Sergei Trofimovich
2018-04-19 19:42 Sergei Trofimovich
2018-04-18 23:52 Aaron Bauman
2017-05-30 8:02 Jeroen Roovers
2016-01-29 20:06 Michael Sterrett
2015-12-17 9:06 Jeroen Roovers
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1580651779.7114145023849eefe01d1d10961db27db900e020.jer@gentoo \
--to=jer@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox